{
  config,
  lib,
  pkgs,
  ...
}:
let
  cfg = config.modules.fish;
in
{
  options.modules.fish = {
    enable = lib.mkEnableOption "Fish";
  };
  config = lib.mkIf cfg.enable {
    users.defaultUserShell = pkgs.fish;
    programs.fish = {
      enable = true;
    };
  };
}
